Subject: Re: bug#41747: 27.0.91; Add default fontset setup for "Symbols and Pictographs Extended-A"

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Jun 2020 17:19:42 +0300

> From: Kévin Le Gouguec <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 08 Jun 2020 22:59:32 +0200
> 
> Of course, GNU Unifont covers this block, though I had not realized this
> at first because one has to install Unifont Upper, which I had to grab
> from unifoundry.com because my distro does not package it AFAICT.  Once
> that's installed, emacs -Q seems to pick it up automatically, so the
> situation is not as critical as I thought.

GNU Unifont cannot be a real solution: it's too ugly.

> Then there are color fonts dedicated to emoji.  If we start using such a
> font for the default fontset setup, it would probably make sense to
> assign it to more blocks than just "Symbols and Pictographs Extended-A",
> otherwise people will wonder why some emoji show up with a color font
> while others don't.
> 
> Finding all emoji that should be displayed with a color font sounds like
> a whole other issue which probably deserves its own bug report.  I
> imagine we'd need to scrape Unicode's emoji-data.txt to figure which
> characters have Emoji_Presentation set; IIUC the subject has already
> been broached in bug#39799.

Yes, but we don't need to do any serious research as to what emoji
should be supported by what font.  Once we find a suitable free font,
we should simply mention it in preference (i.e. before) to the other
fonts that support the relevant blocks; then Emacs will automatically
DTRT given the available fonts.

> As to which emoji font we could pick…

Sounds like Noto Color Emoji is a good candidate.